Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoNodeKit Class Reference
[Node Kits]

The SoNodeKit class is used to initialize the nodekit classes. More...

`#include <Inventor/nodekits/SoNodeKit.h>`

List of all members.

## Static Public Methods
void | init (void)

## Detailed Description

The SoNodeKit class is used to initialize the nodekit classes.

The sole function of SoNodeKit is to be just a placeholder for the toplevel initialization code for all nodekit-related classes.

See also:
  SoBaseKit

## Member Function Documentation

void SoNodeKit::init | ( | void |  | ) | `[static]`

| Initialize the nodekit system. Note that this method is not called implicitly from SoDB::init(). As a matter of fact, this method calls SoDB::init() itself to make sure all the underlying classes for the nodekits classes have been initialized. This method is also called from within SoInteraction::init(), as the interaction functionality in Coin depends on the nodekit classes.

The documentation for this class was generated from the following files:

- SoNodeKit.h
- SoNodeKit.cpp